Option Strict On
Public Class frmGuess
  Dim TheNumber As Integer
  Dim MyGuess As Integer
  Dim MyRandom As New Random()

  Private Sub hsbGuess_Scroll(ByVal sender As System.Object, ByVal e As System.Windows.Forms.ScrollEventArgs) Handles hsbGuess.Scroll
    'Read MyGuess and display it
    MyGuess = hsbGuess.Value
    txtGuess.Text = Format(MyGuess, "0")
  End Sub

  Private Sub btnCheck_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheck.Click
    If btnCheck.Text = "&Pick Number" Then
      'Get new number and set controls
      TheNumber = MyRandom.Next(100) + 1
      hsbGuess.Minimum = 1
      txtLow.Text = "1"
      hsbGuess.Maximum = 100 + hsbGuess.LargeChange - 1
      txtHigh.Text = "100"
      hsbGuess.Value = 50
      hsbGuess.Enabled = True
      btnCheck.Text = "&Check Guess"
    Else
      If MyGuess = TheNumber Then
        'Correct guess
        hsbGuess.Enabled = False
        txtLow.Text = ""
        txtHigh.Text = ""
        btnCheck.Text = "&Pick Number"
      ElseIf MyGuess < TheNumber Then
        'Guess is too low
        hsbGuess.Value = hsbGuess.Value + 1
        hsbGuess.Minimum = hsbGuess.Value
        txtLow.Text = Format(hsbGuess.Value, "0")
      Else
        'Guess is too high
        hsbGuess.Value = hsbGuess.Value - 1
        hsbGuess.Maximum = hsbGuess.Value + hsbGuess.LargeChange - 1
        txtHigh.Text = Format(hsbGuess.Value, "0")
      End If
    End If
    MyGuess = hsbGuess.Value
    txtGuess.Text = Format(MyGuess, "0")
  End Sub
End Class
